aboutsummaryrefslogtreecommitdiffstats
path: root/packages/cortexa57-poky-linux/iputils/iputils-rdisc
diff options
context:
space:
mode:
Diffstat (limited to 'packages/cortexa57-poky-linux/iputils/iputils-rdisc')
-rw-r--r--packages/cortexa57-poky-linux/iputils/iputils-rdisc/latest8
-rw-r--r--packages/cortexa57-poky-linux/iputils/iputils-rdisc/latest.pkg_postinst24
-rw-r--r--packages/cortexa57-poky-linux/iputils/iputils-rdisc/latest.pkg_prerm9
3 files changed, 41 insertions, 0 deletions
diff --git a/packages/cortexa57-poky-linux/iputils/iputils-rdisc/latest b/packages/cortexa57-poky-linux/iputils/iputils-rdisc/latest
new file mode 100644
index 000000000000..78adc931b3ee
--- /dev/null
+++ b/packages/cortexa57-poky-linux/iputils/iputils-rdisc/latest
@@ -0,0 +1,8 @@
+PV = 20211215
+PR = r0
+RPROVIDES =
+RDEPENDS = glibc (>= 2.36)
+RRECOMMENDS =
+PKGSIZE = 68415
+FILES = /sbin/rdisc /lib/systemd/system-preset/98-iputils-rdisc.preset /lib/systemd/system/rdisc.service
+FILELIST = /lib/systemd/system-preset/98-iputils-rdisc.preset /lib/systemd/system/rdisc.service /sbin/rdisc
diff --git a/packages/cortexa57-poky-linux/iputils/iputils-rdisc/latest.pkg_postinst b/packages/cortexa57-poky-linux/iputils/iputils-rdisc/latest.pkg_postinst
new file mode 100644
index 000000000000..24f533d78b5d
--- /dev/null
+++ b/packages/cortexa57-poky-linux/iputils/iputils-rdisc/latest.pkg_postinst
@@ -0,0 +1,24 @@
+#!/bin/sh
+set -e
+if systemctl >/dev/null 2>/dev/null; then
+ OPTS=""
+
+ if [ -n "$D" ]; then
+ OPTS="--root=$D"
+ fi
+
+ if [ "enable" = "enable" ]; then
+ for service in rdisc.service; do
+ systemctl ${OPTS} enable "$service"
+ done
+ fi
+
+ if [ -z "$D" ]; then
+ systemctl daemon-reload
+ systemctl preset rdisc.service
+
+ if [ "enable" = "enable" ]; then
+ systemctl --no-block restart rdisc.service
+ fi
+ fi
+fi
diff --git a/packages/cortexa57-poky-linux/iputils/iputils-rdisc/latest.pkg_prerm b/packages/cortexa57-poky-linux/iputils/iputils-rdisc/latest.pkg_prerm
new file mode 100644
index 000000000000..ec4648fd2ce0
--- /dev/null
+++ b/packages/cortexa57-poky-linux/iputils/iputils-rdisc/latest.pkg_prerm
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e
+if systemctl >/dev/null 2>/dev/null; then
+ if [ -z "$D" ]; then
+ systemctl stop rdisc.service
+
+ systemctl disable rdisc.service
+ fi
+fi